Bug 2108892 - In CI 4.10 HAProxy must-gather takes longer than 10 minutes
Summary: In CI 4.10 HAProxy must-gather takes longer than 10 minutes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.z
Assignee: Grant Spence
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 2106842
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-19 22:43 UTC by OpenShift BugZilla Robot
Modified: 2022-09-29 07:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Routers that are in the terminating state delay the "oc cp" command which delay the must gather until the terminating pod is terminated. Consequence: Must gather can be delayed up to 1 hour due to router stuck in terminating. Fix: Set a reasonable timeout for each "oc cp" command because it's going to fail on a terminating router pod regardless. Result: Must gathers won't be delayed by terminating pods anymore.
Clone Of:
Environment:
Last Closed: 2022-09-29 07:54:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift must-gather pull 324 0 None open [release-4.9] Bug 2108892: Add timeout to oc cp command to fix must-gather delays when routers are terminating 2022-07-22 09:56:51 UTC
Red Hat Product Errata RHBA-2022:6678 0 None None None 2022-09-29 07:54:42 UTC

Comment 1 Miciah Dashiel Butler Masters 2022-07-20 17:26:03 UTC
Copying doc text from bug 2104701.

Comment 5 Hongan Li 2022-09-22 02:31:42 UTC
verified with 4.9.0-0.nightly-2022-09-21-055422 and passed.

Comment 7 errata-xmlrpc 2022-09-29 07:54:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.49 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:6678


Note You need to log in before you can comment on or make changes to this bug.